<!DOCTYPE html>
<html>

<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <title>ShopPlus HomePage</title>

    <!-- Nhúng các thư viện BS4 & jQuery, awesome font -->
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.6.0/jquery.min.js"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.1.1/css/all.min.css">

    <!-- Select2 -->
    <link rel="stylesheet" href="plugins/select2/css/select2.min.css">
    <link rel="stylesheet" href="plugins/select2-bootstrap4-theme/select2-bootstrap4.min.css">
    <script src="plugins/select2/js/select2.full.min.js"></script>

    <!-- SweetAlert2 -->
    <link rel="stylesheet" href="plugins/sweetalert2-theme-bootstrap-4/bootstrap-4.min.css">
    <script src="plugins/sweetalert2/sweetalert2.min.js"></script>

    <!-- Các file css tự định nghĩa thêm -->
    <link rel="stylesheet" href="style.css">
</head>

<body>
    <!-- Navbar -->
    <nav class="navbar navbar-expand-lg fixed-top" id="mainNav">
        <a class="navbar-brand" href="HomePage.html">
            <span>
                ShopPlusVN
            </span>
        </a>
        <label for="check">
            <i class="fas fa-bars" id="menu-bar-click"></i>
            <i class="fas fa-times" id="menu-bar-cancel"></i>
        </label>
        <ul class="navbar-nav ml-auto">
            <li class="nav-item pt-1 align-self-center">
                <a class="nav-link" href="HomePage.html">Home <span class="sr-only">(current)</span></a>
            </li>
            <li class="nav-item pt-1 align-self-center">
                <a class="nav-link" href="headphone.html"> Headphone </a>
            </li>
            <li class="nav-item pt-1 align-self-center">
                <a class="nav-link to-about-us" href="#"> About </a>
            </li>
            <li class="nav-item pt-1 align-self-center">
                <a class="nav-link to-contact-us" href="#">Contact Us</a>
            </li>
            <li class="nav-item dropdown pt-1 align-self-center">
                <a class="nav-link px-4" data-toggle="dropdown">
                    <span class="fa-stack fa-1x pl-2">
                        <i class="fas fa-circle fa-stack-2x icon-background"></i>
                        <i class="fa-solid fa-user fa-stack-1x"></i>
                    </span>
                    <div class="dropdown-menu dropdown-menu-lg dropdown-menu-right">
                        <div class="text-center mt-1">
                            <button class="btn btn-primary" id="btn-log-in"><i class="fa-solid fa-right-to-bracket"></i>
                                Log
                                in</button>
                            <button class="btn btn-light" id="btn-sign-up"><i class="fa-regular fa-square-plus"></i>
                                Sign
                                up</button>
                        </div>
                        <div class="text-center mt-1">
                            <a id="name-user"></a>
                            <button class="btn btn-danger" id="btn-log-out"><i
                                    class="fa-solid fa-right-from-bracket"></i> Log
                                out</button>
                        </div>
                    </div>
                </a>
            </li>
        </ul>
        <div class="user_option-box">
            <a href="customerInfo.html">
                <i class="fa fa-user" aria-hidden="true"></i>
            </a>
            <a href="cart.html">
                <i class="fa fa-cart-plus" aria-hidden="true"></i>
            </a>
            <a href="#" id="show-search">
                <i class="fa fa-search" aria-hidden="true"></i>
            </a>
        </div>
    </nav>

    <!-- Slideshow body -->
    <div id="slideshow-example" data-component="slideshow" class="header-slideshow">
        <div role="list">
            <div class="slide">
                <div class="container-fluid">
                    <div class="row">
                        <div class="col-md-6">
                            <div class="detail-box">
                                <h1>
                                    Headphone TWS
                                </h1>
                                <p>
                                    Easy to find, easy to choose, easier to buy.
                                </p>
                                <div class="btn-box">
                                    <a href="contact.html" class="btn1">
                                        Contact Us
                                    </a>
                                </div>
                            </div>
                        </div>
                        <div class="col-md-6">
                            <div class="img-box">
                                <img src="images/Sony/sony-wf-1000mx4.jpg">
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <div class="slide">
                <div class="container-fluid">
                    <div class="row">
                        <div class="col-md-6">
                            <div class="detail-box">
                                <h1>
                                    Headphone TWS
                                </h1>
                                <p>
                                    It's not just technology.
                                </p>
                                <div class="btn-box">
                                    <a href="contact.html" class="btn1">
                                        Contact Us
                                    </a>
                                </div>
                            </div>
                        </div>
                        <div class="col-md-6">
                            <div class="img-box">
                                <img src="images/Soundpeats/soundpeats-mac-2.jpg">
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <div class="slide">
                <div class="container-fluid">
                    <div class="row">
                        <div class="col-md-6">
                            <div class="detail-box">
                                <h1>
                                    Headphone TWS
                                </h1>
                                <p>
                                    Serve for your pleasure.
                                </p>
                                <div class="btn-box">
                                    <a href="contact.html" class="btn1">
                                        Contact Us
                                    </a>
                                </div>
                            </div>
                        </div>
                        <div class="col-md-6">
                            <div class="img-box">
                                <img src="images/Oppo/oppo-enco-air-2-pro.jpg">
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>

    <!-- div latest product -->
    <div class="container-fluid latest">
        <div class="text-center">
            <h2>
                Latest Headphones
            </h2>
        </div>
        <div class="row" id="latest-headphone">
        </div>
        <div class="btn-box">
            <a href="headphone.html" class="btn1">
                View All
            </a>
        </div>
    </div>

    <hr>

    <!-- div best selling -->
    <div class="container-fluid latest">
        <div class="text-center">
            <h2>
                Best Selling
            </h2>
        </div>
        <div class="row" id="best-selling">
        </div>
    </div>

    <hr>

    <!-- About us -->
    <div class="container-fluid about-us">
        <div class="row">
            <div class="col-md-6 col-lg-5">
                <div class="img-box">
                    <img src="images/aboutus.jpg" alt="">
                </div>
            </div>
            <div class="col-md-6 col-lg-7">
                <div class="detail-box text-center">
                    <h2>
                        About Us
                    </h2>
                    <p>
                        ShopPlus is a leading company specializing in providing tws headphones in Ho Chi Minh City
                        with more than 5 years of industry experience.
                    </p>
                </div>
            </div>
        </div>
    </div>

    <hr>

    <!-- Contact -->
    <div class="container-fluid contact-us">
        <div class="row form-group">
            <div class="col-md-6">
                <h2 class="text-center title-contact">
                    Contact Us
                </h2>
                <div>
                    <input type="text" class="form-control" id="inp-full-name" placeholder="Full Name " />
                    <span style="color: red;" id="span-full-name"></span>
                </div>
                <div>
                    <input type="email" class="form-control" id="inp-email" placeholder="Email" />
                    <span style="color: red;" id="span-email"></span>
                </div>
                <div>
                    <input type="text" class="form-control" id="inp-phone" placeholder="Phone number" />
                    <span style="color: red;" id="span-phone"></span>
                </div>
                <div>
                    <input type="text" class="form-control" id="inp-message" class="message-box"
                        placeholder="Message" />
                    <span style="color: red;" id="span-message"></span>
                </div>
                <div class="btn-box">
                    <button id="send-advise" class="btn1">
                        SEND
                    </button>
                </div>
            </div>
            <div class="col-md-6">
                <div class="img-box">
                    <img src="images/poster.jpg" alt="">
                </div>
            </div>
        </div>
    </div>

    <!-- Footer -->
    <div class="container-fluid footer_section">
        <div class="container">
            <div class="row">
                <div class="col-md-6">
                    <div class="footer_detail">
                        <h4>
                            About
                        </h4>
                        <p>
                            ShopPlusVN Co., Ltd
                        </p>
                        <a href="">
                            <i class="fa-brands fa-facebook" aria-hidden="true"></i>
                        </a>
                        <a href="">
                            <i class="fa-brands fa-twitter" aria-hidden="true"></i>
                        </a>
                        <a href="">
                            <i class="fa-brands fa-linkedin" aria-hidden="true"></i>
                        </a>
                        <a href="">
                            <i class="fa-brands fa-instagram" aria-hidden="true"></i>
                        </a>
                    </div>
                </div>
                <div class="col-md-6">
                    <div class="footer_contact">
                        <h4>
                            Reach at..
                        </h4>
                        <div class="contact_link_box">
                            <a href="">
                                <i class="fa fa-map-marker" aria-hidden="true"></i>
                                <span>
                                    78 Tân Hòa Đông, P.14, Q.6, tpHCM
                                </span>
                            </a> <br>
                            <a href="">
                                <i class="fa fa-phone" aria-hidden="true"></i>
                                <span>
                                    Call 0909887249
                                </span>
                            </a> <br>
                            <a href="">
                                <i class="fa fa-envelope" aria-hidden="true"></i>
                                <span>
                                    shopplusVN@gmail.com
                                </span>
                            </a>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</body>

<script>

    var slideshows = document.querySelectorAll('[data-component="slideshow"]');
    slideshows.forEach(initSlideShow);

    function initSlideShow(slideshow) {

        var slides = document.querySelectorAll(`#${slideshow.id} [role="list"] .slide`);

        var index = 0, time = 3500;
        slides[index].classList.add('active');

        setInterval(() => {
            slides[index].classList.remove('active');

            index++;
            if (index === slides.length) index = 0;

            slides[index].classList.add('active');

        }, time);
    };

    /*** REGION 1 - Global variables - Vùng khai báo biến, hằng số, tham số TOÀN CỤC */
    const gURL = "http://localhost:8080/products/";

    /*** REGION 2 - Vùng gán / thực thi sự kiện cho các elements */
    // Khi tải trang
    onPageLoading();

    // Sự kiện khi click tag About us
    $(".to-about-us").click(function () {
        $('html, body').animate({
            scrollTop: $(".about-us").offset().top
        }, 1000);
    });

    // Sự kiện khi click tag Contact
    $(".to-contact-us").click(function () {
        $('html, body').animate({
            scrollTop: $(".contact-us").offset().top
        }, 1000);
    });

    // Sự kiện khi click like
    $('.like').click(function () {
        $(this).toggleClass('clicked');
    });

    // Sự kiện gửi advise
    $('#send-advise').on('click', onBtnSendAdvise);

    // Sự kiện khi click details product
    $(document).on('click', '#detail-product', function () {
        onDetailProduct(this);
    });

    // Sự kiện khi click details product
    $(document).on('click', '#detail-product1', function () {
        onDetailProduct1(this);
    });

    /*** REGION 3 - Event handlers - Vùng khai báo các hàm xử lý sự kiện */
    // Hàm xử lý khi tải trang
    function onPageLoading() {
        callApiGetNewProduct();
        callApiGetBestSellingProduct();
    }

    // Hàm xử lý khi click chi tiết product
    function onDetailProduct(paramDetail) {
        var vValue = $(paramDetail).children('input').val();
        // console.log(vValue);
        const vPROPERTIES_DETAILS_URL = "details-product.html"
        var vUrlSiteToOpen = vPROPERTIES_DETAILS_URL + "?" + "productId=" + vValue;
        window.location.href = vUrlSiteToOpen;
    }

    // Hàm xử lý khi click chi tiết product
    function onDetailProduct1(paramDetail) {
        var vValue = $(paramDetail).children('input').val();
        console.log(vValue);
        const vPROPERTIES_DETAILS_URL = "details-product.html"
        var vUrlSiteToOpen = vPROPERTIES_DETAILS_URL + "?" + "productId=" + vValue;
        window.location.href = vUrlSiteToOpen;
    }

    // Hàm xử lý khi click send advise
    function onBtnSendAdvise() {
        var vAdviseObj = {
            fullName: "",
            phoneNum: "",
            message: "",
            email: ""
        };
        vAdviseObj.fullName = $('#inp-full-name').val();
        vAdviseObj.phoneNum = $('#inp-phone').val();
        vAdviseObj.message = $('#inp-message').val();
        vAdviseObj.email = $('#inp-email').val()
        var vIsCheck = validateAdvise(vAdviseObj);
        if (vIsCheck) {
            $('#span-full-name').html("");
            $('#span-phone').html("");
            $('#span-message').html("");
            $('#span-email').html("");
            callApiPostNewAdvise(vAdviseObj);
            $('#inp-full-name').val("");
            $('#inp-phone').val("");
            $('#inp-message').val("");
            $('#inp-email').val("");
        }
    }

    /*** REGION 4 - Common function - Vùng khai báo hàm dùng chung trong toàn bộ chương trình*/
    // Hàm call api get new product
    function callApiGetNewProduct() {
        $.ajax({
            url: gURL + "new",
            type: "GET",
            async: false,
            success: function (res) {
                // console.log(res);
                var vLatest = $('#latest-headphone');
                loadDataToWebsite(res, vLatest);
            },
            error: function (error) {
                console.log(error.responseText);
            }
        });
    }

    // Hàm call api get best selling product
    function callApiGetBestSellingProduct() {
        $.ajax({
            url: gURL + "bestSelling",
            type: "GET",
            async: false,
            success: function (res) {
                // console.log(res);
                var vBestSell = $('#best-selling');
                loadDataToWebsite(res, vBestSell);
            },
            error: function (error) {
                console.log(error.responseText);
            }
        });
    }

    // Hàm load dữ liệu lên web
    function loadDataToWebsite(paramResult, paramElement) {
        paramElement.html("");
        var vInfo = "";
        for (var bI = 0; bI < paramResult.length; bI++) {
            vInfo += `
                <div class="col-sm-4">
                    <div class="container">
                        <div class="item-list">
                            <div class="item item-1">
                                <div class="img"><a href="javascript:;">
                                    <div class="like"><i class="fa fa-heart" aria-hidden="true"></i></div></a>
                                    <div class="img-content"><img src="` + paramResult[bI].photo + `" style="width:100%"/></div>
                                </div>
                                <div class="social">
                                    <a href="javascript:;"><div class="fb"><i class="fa-solid fa-phone-volume" aria-hidden="true"></i></div></a>
                                    <a href="javascript:;"><div class="tw"><i id="btn-buy" class="fa-solid fa-cart-shopping">
                                    <input type="hidden" value="` + paramResult[bI].id + `"/></i></div></a>
                                    <a href="javascript:;"><div class="ig"><i id="detail-product" class="fa-solid fa-info" aria-hidden="true">
                                    <input type="hidden" value="` + paramResult[bI].id + `"/></i></div></a>
                                </div>
                                <div class="text-container">
                                    <h2 class="title">` + paramResult[bI].productName + `</h2>
                                    <p>Hãng: ` + paramResult[bI].productVendor + `</p>
                                    <p>Số lượng: ` + paramResult[bI].quantityInStock + `</p>
                                    <h5 class="text-danger"><i class="fa-solid fa-hand-holding-dollar"></i> &nbsp; ` + paramResult[bI].buyPrice + `&nbsp; VND
                                    </h5>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>`;
        }
        paramElement.html(vInfo);
    }

    // Hàm validate dữ liệu advise
    function validateAdvise(paramObj) {
        var vRegex = /^([a-zA-Z0-9_.+-])+\@(([a-zA-Z0-9-])+\.)+([a-zA-Z0-9]{2,4})+$/;
        var vResult = true;
        if (paramObj.fullName == "") {
            $('#span-full-name').html("You must get your name");
            vResult = false;
        }
        if (!vRegex.test(paramObj.email)) {
            $('#span-email').html("Invalid email");
            vResult = false;
        }
        if (paramObj.phoneNum == "") {
            $('#span-phone').html("You must get your phone number");
            vResult = false;
        }
        if (paramObj.message == "") {
            $('#span-message').html("You must get message");
            vResult = false;
        }
        return vResult;
    }

    // Hàm call api post new advise
    function callApiPostNewAdvise(paramObj) {
        $.ajax({
        url: "http://localhost:8080/advise",
        method: "POST",
        async: false,
        contentType: "application/json;charset=UTF-8",
        data: JSON.stringify(paramObj),
        success: function (res) {
        //   console.log(res);
          alert("Gửi yêu cầu tư vấn thành công!");
        },
        error: function (paramError) {
        //   console.log(paramError);
          alert("Gửi yêu cầu tư vấn không thành công!");
        }
      });
    }

</script>

</html>